| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
img_symmetry.h File Reference

Header file for symmetry functions. More...

`#include "symmetry.h"`
`#include "rwimg.h"`
`#include "View.h"`

Go to the source code of this file.

## Functions
Bimage * | img_find_symmetric_view (Bimage *p, Bimage *ptemp, Bstring &symmetry_string, double phi_step, double theta_step, double alpha_step, Vector3< float > shift)
Bimage * | img_find_symmetric_view (Bimage *p, Bimage *ptemp, Bsymmetry *sym, double phi_step, double theta_step, double alpha_step, Vector3< float > shift)
int | img_add_with_rotation (Bimage *p, Bimage *psum, Vector3< double > axis, double angle)
Bimage * | img_mask_asymmetric_units (Bimage *p, Bsymmetry *sym, int index)
int | img_replicate_asymmetric_unit (Bimage *p, Bsymmetry *sym)
double * | img_check_space_group (Bimage *p, double resolution)
| Checks the crystal space group symmetry and the shift to a symmetry axis. More...
double * | img_apply_space_group (Bimage *p, double resolution)
| Applies the necessary shift to superimpose the origin on a symmetry axis. More...
int | img_apply_friedel (Bimage *p)
| Applies Friedel symmetry. More...
double | img_check_friedel (Bimage *p)
| Checks Friedel symmetry. More...

## Detailed Description

Header file for symmetry functions.

Author
  Bernard Heymann

Date
  Created: 19990509
  Modified: 20150102

Definition in file img_symmetry.h.

## Function Documentation

int img_add_with_rotation | ( | Bimage * | p,
|  | Bimage * | psum,
|  | Vector3< double > | axis,
|  | double | angle
| ) |  |

int img_apply_friedel | ( | Bimage * | p | ) |

Applies Friedel symmetry.

Parameters

  *p | complex image.

Returns
  int 0.

      The Friedel-related voxels are converted to polar form and the
      in difference in amplitude and phase calculated (taking into account
      the phases should differ by sign). The voxels are then set to the
      average and its conjugate.

Definition at line 337 of file img_symmetry.cpp.

double* img_apply_space_group | ( | Bimage * | p,
|  | double | resolution
| ) |  |

Applies the necessary shift to superimpose the origin on a symmetry axis.

Parameters

  *p | complex image.
  resolution | high resolution limit.

Returns
  double* three-value applied shift vector.

Definition at line 179 of file img_symmetry.cpp.

double img_check_friedel | ( | Bimage * | p | ) |

Checks Friedel symmetry.

Parameters

  *p | complex image.

Returns
  double overall RMSD or residual.

      The differences between the complex and polar forms of Friedel-related
      voxels are calculated and accumulated as squared sums weighted by their
      average intensities. The residuals are then calculated as
      root-mean-square-deviations.

Definition at line 420 of file img_symmetry.cpp.

double* img_check_space_group | ( | Bimage * | p,
|  | double | resolution
| ) |  |

Checks the crystal space group symmetry and the shift to a symmetry axis.

Parameters

  *p | complex image.
  resolution | high resolution limit.

Returns
  double* three-value estimated shift vector.

Definition at line 29 of file img_symmetry.cpp.

Bimage* img_find_symmetric_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | Bstring & | symmetry_string,
|  | double | phi_step,
|  | double | theta_step,
|  | double | alpha_step,
|  | Vector3< float > | shift
| ) |  |

Bimage* img_find_symmetric_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | Bsymmetry * | sym,
|  | double | phi_step,
|  | double | theta_step,
|  | double | alpha_step,
|  | Vector3< float > | shift
| ) |  |

Bimage* img_mask_asymmetric_units | ( | Bimage * | p,
|  | Bsymmetry * | sym,
|  | int | index
| ) |  |

int img_replicate_asymmetric_unit | ( | Bimage * | p,
|  | Bsymmetry * | sym
| ) |  |